Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.common
Class ProcessFilter

    java.lang.Object
      org.apache.ode.bpel.common.Filter<org.apache.ode.bpel.common.ProcessFilter.FilterKeysOp>
          org.apache.ode.bpel.common.ProcessFilter

All Implemented Interfaces:
  java.io.Serializable

    public class ProcessFilter

extends Filter<org.apache.ode.bpel.common.ProcessFilter.FilterKeysOp>
implements java.io.Serializable

Holds a filter that will get interpreted when listing processes. The semantic of the filtering is somewhat different than the one used in the ProcessQuery class. Here we're introducing a pseudo process querying language.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.common.Filter
`Filter.Restriction<V>`

Field Summary

Fields inherited from class org.apache.ode.bpel.common.Filter
`__msgs, _criteria`

Constructor Summary
`ProcessFilter(java.lang.String filter, java.lang.String orderKeys)` Initializes properly the ProcessFilter attributes by pre-parsing the filter and orderKeys strings.

Method Summary
`java.util.List<java.lang.String>` | `getDeployedDateFilter()`
`protected org.apache.ode.bpel.common.ProcessFilter.FilterKeysOp[]` | `getFilterKeys()` Get the list of known (recognized) filter keys.
`java.util.List<java.lang.String>` | `getIncludes()`
`java.lang.String` | `getNameFilter()`
`java.lang.String` | `getNamespaceFilter()`
`java.util.List<java.lang.String>` | `getOrders()`
`java.lang.String` | `getStatusFilter()`
`static void` | `main(java.lang.String[] args)`
`protected org.apache.ode.bpel.common.ProcessFilter.FilterKeysOp` | `parseKey(java.lang.String keyVal)` Parse the string representation of a key into an enumeration value.
`protected void` | `process(org.apache.ode.bpel.common.ProcessFilter.FilterKeysOp key, Filter.Restriction<java.lang.String> rest)` Perform additional parsing/processing.

Methods inherited from class org.apache.ode.bpel.common.Filter
`getDateWithoutOp, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessFilter

    public ProcessFilter(java.lang.String filter,
                         java.lang.String orderKeys)

  Initializes properly the ProcessFilter attributes by pre-parsing the filter and orderKeys strings.

  Parameters:
    `filter` -
    `orderKeys` -

Method Detail

### getNameFilter

    public java.lang.String getNameFilter()

### getNamespaceFilter

    public java.lang.String getNamespaceFilter()

### getStatusFilter

    public java.lang.String getStatusFilter()

### getDeployedDateFilter

    public java.util.List<java.lang.String> getDeployedDateFilter()

### getIncludes

    public java.util.List<java.lang.String> getIncludes()

### getOrders

    public java.util.List<java.lang.String> getOrders()

### main

    public static void main(java.lang.String[] args)

### parseKey

    protected org.apache.ode.bpel.common.ProcessFilter.FilterKeysOp parseKey(java.lang.String keyVal)

  Description copied from class: `Filter`
  Parse the string representation of a key into an enumeration value.

  Specified by:
    `parseKey` in class `Filter<org.apache.ode.bpel.common.ProcessFilter.FilterKeysOp>`
  Parameters:
    `keyVal` - string representation
  Returns:
    enumeration value

### getFilterKeys

    protected org.apache.ode.bpel.common.ProcessFilter.FilterKeysOp[] getFilterKeys()

  Description copied from class: `Filter`
  Get the list of known (recognized) filter keys.

  Specified by:
    `getFilterKeys` in class `Filter<org.apache.ode.bpel.common.ProcessFilter.FilterKeysOp>`
  Returns:
    recognized filter keys

### process

    protected void process(org.apache.ode.bpel.common.ProcessFilter.FilterKeysOp key,
                           Filter.Restriction<java.lang.String> rest)

  Description copied from class: `Filter`
  Perform additional parsing/processing.

  Specified by:
    `process` in class `Filter<org.apache.ode.bpel.common.ProcessFilter.FilterKeysOp>`
  Parameters:
    `key` - filter key
    `rest` - restriction

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD